/*------------------------------*
 | File: MAIN.h - Main include  |
 | file for all program modules |
 *------------------------------*/

/**
 | #define's
 | - program identifiers;
 | - minimum Operating System revision required (2.04);
 | - exit status;
 | - parameters of the Bevel Box;
 | - gadtools gadgets identifiers;
 | - menu items identifiers.
**/

#define PROG_NAME     "DT"
#define REVISION      "2.10"
#define LAST_CHANGED  "(16.4.93)"

#define OS_MINREV     37

#define EXIT_OK       0

#define BEVEL_LEFT        4
#define BEVEL_TOP         3
#define BEVEL_WIDTH     603
#define BEVEL_HEIGHT    145

#define BUT_1         0                 /* DF0 */
#define BUT_2         1                 /* DF1 */
#define BUT_3         2                 /* DF2 */
#define BUT_4         3                 /* DF3 */
#define BUT_FN        4                 /* List file names? */
#define BUT_BREAK     5                 /* Break */
#define BUT_QUIT      6                 /* Quit */
#define SCROLLER      7                 /* Scroller */

#define M_DF0         0
#define M_DF1         1
#define M_DF2         2
#define M_DF3         3
#define M_ABOUT       4
#define M_QUIT        5
#define M_DEVDIR      6
#define M_FILE        7

/**
 | Procedure prototypes
**/

void AddLine(char *s, size_t n, BOOL update);
void BusyState(BOOL state);
void Cleanup(void);
void ClearText(BOOL update);
void Error(char *fmt);
void EventLoop(void);
void Init(void);
void InitScroller(void);
void RefreshView(BOOL damage);
void LastLine(char *s, size_t n);
void SetTopLine(UWORD n);
